Red Hat Training

A Red Hat training course is available for Red Hat Enterprise Linux

第10章 インストールと起動

GRUB が NVMe デバイスに対応しない

揮発性でない NVMe (NVM Express) デバイスは、Red Hat Enterprise Linux 6 の GRUB ブートローダーではサポートされていないため、このデバイスにはこのブートローダーをインストールできません。
この問題を回避するには、以下の方法があります。
  • 別のストレージデバイスを使用して、このブートローダーをインストールする
  • GRUB2 をデフォルトブートローダーとして使用し、NVMe デバイスへのインストールをサポートする RHEL 7 にアップグレードする
(BZ#1227194)

GRUB アップグレードがシステムに適用されない

yum または rpm (たとえば rpm -Uvh grub) を使用して GRUB ブートローダーを更新し、更新プロセスが成功すると、GRUB に関する技術制限のため、grub-install コマンドが自動で実行しません。更新したパッケージをダウンロードしてインストールしても、パッケージが提供する新しいバージョンのブートローダーが、システムに自動的に適用されません。代わりに、パッケージの更新後も古いバージョンが使用されるため、更新で提供された修正がシステムに適用されません。
この問題を回避するには、grub パッケージにアップデートがインストールされるたびに、root 権限でコマンドラインを使用して、grub-install コマンドを手動で実行します。(BZ#1573121)